Package org.apache.sysds.runtime.iogen.codegen

## Class FrameCodeGen

- java.lang.Object
- - org.apache.sysds.runtime.iogen.template.TemplateCodeGenBase
  - - org.apache.sysds.runtime.iogen.codegen.FrameCodeGen

    public class FrameCodeGen
    extends TemplateCodeGenBase

### Constructor Summary

Constructors
`FrameCodeGen​(CustomProperties properties, String className)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `generateCodeCPP()`
`String` `generateCodeJava​(FormatIdentifyer formatIdentifyer)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameCodeGen

    public FrameCodeGen​(CustomProperties properties,
                        String className)

### Method Detail

#### generateCodeJava

    public String generateCodeJava​(FormatIdentifyer formatIdentifyer)

Specified by:
  `generateCodeJava` in class `TemplateCodeGenBase`

#### generateCodeCPP

    public String generateCodeCPP()

Specified by:
  `generateCodeCPP` in class `TemplateCodeGenBase`